Page MenuHomePhabricator

Populate the gerrit portal repository with code for all the portals (DUE Nov 12)
Closed, ResolvedPublic

Description

Assuming we move forward with deploying portals from gerrit, we have committed to doing so with all the portals at the same time, even though we (Discovery) don't plan to work on most of them right now. This ticket is to make sure the code for all the (other) portals are saved in gerrit.

Details

Related Gerrit Patches:
wikimedia/portals : masterSynchronized sister portals with Meta
wikimedia/portals : masterAdd remaining portals, unprocessed so far

Event Timeline

ksmith assigned this task to MaxSem.
ksmith raised the priority of this task from to Medium.
ksmith updated the task description. (Show Details)
ksmith added subscribers: MZMcBride, mxn, MSyed and 2 others.
ksmith renamed this task from Populate the gerrit portal repository with code for all the portals to Populate the gerrit portal repository with code for all the portals (DUE Nov 12).Nov 6 2015, 7:14 PM
ksmith set Security to None.

Change 251652 had a related patch set uploaded (by MaxSem):
Add remaining portals, unprocessed so far

https://gerrit.wikimedia.org/r/251652

Change 251652 merged by MaxSem:
Add remaining portals, unprocessed so far

https://gerrit.wikimedia.org/r/251652

mxn added a comment.Nov 12 2015, 7:45 PM

I’ve just saved the last anticipated changes to the portals on Meta. Here are the permalinks, for reference:

www.wikimedia.org: 14579618
www.wikipedia.org: 14603773
www.wikinews.org: 14578933
www.wiktionary.org: 14603803
www.wikiquote.org: 14578950
www.wikiversity.org: 14578953
www.wikibooks.org: 14578964

Note that these revisions depend on the following revisions of the stylesheet and script, which have also been updated within the past week:

CSS: 14578929
JavaScript: 13416379

As of writing, the gerrit repository reflects the revisions from a few days ago. Aside from routine statistics updates, the new revisions include:

  • A change to page view ranking for the top 10 ring in several portals. These portals’ top 10 rings had been based on article counts but now have access to more accurate page view data thanks to T114379#1798048.
  • Refactored CSS. Each portal had a lot of redundant CSS that should’ve been moved to the shared stylesheet a long time ago.
  • The massive table on www.wikimedia.org has been replaced by a responsive layout using CSS floats.

Along with the changes mentioned above, the statistics are also seriously out of date: T118544. The portals on gerrit should have been spot-checked for regressions before being deployed.

Last anticipated changes?

mxn added a comment.Nov 13 2015, 9:11 AM

Last anticipated changes?

Well, I wrote that before realizing that the cutover had already taken place. I figured those would be the last revisions to be synchronized, but it turned out that much older revisions were used instead. :shrug:

Change 252909 had a related patch set uploaded (by Mxn):
Synchronized sister portals with Meta

https://gerrit.wikimedia.org/r/252909

Change 252909 merged by MaxSem:
Synchronized sister portals with Meta

https://gerrit.wikimedia.org/r/252909

Deskana closed this task as Resolved.Nov 14 2015, 3:02 AM
Deskana added a subscriber: Deskana.

Moved this into the "Done" column, as it was marked as resolved whilst sat in another column.

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Jan 26 2016, 12:33 AM